=== debian/changelog ===
archvsync (20170912) unstable; urgency=medium

  [ Peter Palfrader ]
  * Fix Typo in Maintainer field (re: #856695, closes: #856912).

  [ Bastian Blank ]
  * Drop unused sync tools and configs.
  * Fix i18n/by-hash include for stage 1.
  * Always generate full trace.
  * Add ftpsync-cron script.
  * Add several mirror information to trace file.
  * Add informations about the used trigger to trace file.
  * Support URL as a mirror specification.
  * Only build extra tar on Debian, (closes: #875455)
  * Don't duplicate code during expansion. (closes: #857702)

 -- Bastian Blank <waldi@debian.org>  Tue, 12 Sep 2017 22:02:08 +0200

archvsync (20170204) unstable; urgency=medium

  * Initial packaged release

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Jan 2017 18:21:13 +0100
