## archvsync 20171018

=== debian/changelog ===
archvsync (20171018) unstable; urgency=medium

  * Revert usage if --info options for connections with old rsync
    version.

 -- Bastian Blank <waldi@debian.org>  Wed, 18 Oct 2017 16:55:46 +0200

archvsync (20171017) unstable; urgency=high

  [ Peter Palfrader ]
  * Add a lot of manpages.

  [ Bastian Blank ]
  * Make sure correct version of runmirrors is installed.
  * Always print error if config can't be read.
  * Support old bash in ftpsync-cron.
  * Implement minimal SSH transport. (closes: #828727)
  * Disable rsync human readable output and only read numbers from
    output.
  * Ask rsync to only allow save symlinks.
    CVE-2017-8805

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Oct 2017 15:22:24 +0200

archvsync (20170920) unstable; urgency=medium

  * Make sure source tar is pretty clean. (closes: #875702)
  * Fix new version nag. (Closes: #865278)
  * Force permissions of files.
  * Make sure own trace files are never overwriten.
  * Check only the archive serial in cron wrapper.
  * Set default MAILTO to the current user.

 -- Bastian Blank <waldi@debian.org>  Wed, 20 Sep 2017 14:22:39 +0200
