=== debian/control ===
--- 
+++ 
@@ -4,15 +4,21 @@
 Maintainer: Debian Mirror Team <mirrors@debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
-  debhelper (>= 9),
-  pandoc,
-Standards-Version: 3.9.8
+ debhelper (>= 10),
+ pandoc,
+Standards-Version: 4.1.4
 Vcs-Git: https://anonscm.debian.org/git/mirror/archvsync.git
 Vcs-Browser: https://anonscm.debian.org/cgit/mirror/archvsync.git
+Rules-Requires-Root: no
 
 Package: ftpsync
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ default-mta | mail-transport-agent,
+ rsync,
+ ${misc:Depends}
+Recommends:
+ curl,
 Description: Debian archive mirror tool
  ftpsync is the preferred tool for maintaining a Debian mirror.  It
  tries to make updates as smooth as possible, without the clients
